%define name smeserver-madsonic
%define version 5.0.3761
%define release 6
Summary: madsonic is a music streaming system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-madsonic-%{version}.tar.gz
Patch0: smeserver-madsonic-5.0.3761-sme10.patch
Patch1: smeserver-madsonic-5.0.3761-bz12014-backup.patch

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: madsonic 
Requires: alsa-utils
Requires: ffmpeg
Requires: java-1.7.0-openjdk >= 1.7
AutoReqProv: no

%description
madsonic is an application adapted as a contrib for SMEserver 

%changelog
* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-6.sme
- add to core backup [SME: 12014]

* Sun Jun 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-5.sme
- fix services not restarted on install [SME: 11280]

* Fri Jun 04 2021 Jean-Philippe Pialasse <tests@pialasse.com> 5.0.3761-4.sme
- fix new configuration for madsonic 6 [SME: 11280]
  add update event
- add madsonic user to audio group [SME: 10700]
- add /var/media folders and subfolders [SME: 10701]

* Sun Dec 20 2020 Brian Read <brianr@bjsystems.co.uk> 5.0.3761-3.sme
- Initial Import in SME10 [SME: 11280]

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 5.0.3761-1.sme
- initial import to SME9 contribs

* Wed Nov 20 2013  CONTRIB MAKER <tests@pialasse.com> 5.0.3760-2.sme
- initial release
- builds from unchanged .tar.gz 

%pre
grep '^madsonic:' /etc/passwd > /dev/null || \
/usr/sbin/useradd -c "madsonic" -M -d /usr/share/madsonic   -s /bin/bash madsonic
/usr/sbin/usermod -aG audio madsonic

%prep
%setup
%patch0 -p1
mkdir -p root/var/media/playlist/export root/var/media/playlist/import root/var/media/incoming root/var/media/podcast root/var/media/playlists/backup
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/media/ 'attr(0755,madsonic,madsonic)'  \
  --dir /var/media/playlist/ 'attr(0750,madsonic,madsonic)'  \
  --dir /var/media/playlist/export/ 'attr(0750,madsonic,madsonic)'  \
  --dir /var/media/playlist/import/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/incoming/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/podcast/ 'attr(0750,madsonic,madsonic)' \
  --dir /var/media/playlists/backup/ 'attr(0750,madsonic,madsonic)' \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


